unit DIBreg;

interface
uses
  Classes;

procedure Register;

implementation
uses
  DsgnIntf, TypInfo, 
  cDIB, cDIBAnimMgr, cDIBButton, cDIBCompressor, cDIBControl, cDIBDial,
  cDIBFadeLabel, cDIBFeatures, cDIBFormShaper, cDIBImage, cDIBImageList,
  cDIBMagnifier, cDIBPalette, cDIBPanel, cDIBSettings, cDIBSlider,
  cDIBStandardCompressors, cDIBStandardFilters, cDIBTimer, DIBAnimEditor,
  DIBCompressorEditor, DIBControlEditor, DIBEditor, DIBFeatureEditor,
  DIBImageIndexEditor;


procedure Register;
begin
  RegisterNoIcon([TDIBAnimation]);
  RegisterComponents('DIB', [TDIBAnimManager, TDIBButton, TDIBDial,
    TDIBFadeLabel, TDIBFormShaper, TDIBImage, TDIBImageList, TDIBMagnifier,
    TDIBPalette, TDIBContainer, TDIBImageContainer, TDIBSettings, TDIBSlider,
    TDIBTimer]);

  //DIBAnimEditor
  RegisterPropertyEditor(TDIBAnimMgrList.ClassInfo, TDIBAnimManager, '', TDIBAnimMgrListProperty);
  RegisterPropertyEditor(TDIBFrameList.ClassInfo, TDIBAnimation, '', TDIBFrameListProperty);

  //DIBCompressorEditor
  RegisterPropertyEditor(TypeInfo(String), TDIBSettings, 'DIBCompressor', TDIBCompressorProperty);

  //DIBControlEditor
  RegisterComponentEditor(TCustomDIBControl, TDIBControlEditor);

  //DIBEditor
  RegisterPropertyEditor(TypeInfo(TAbstractSuperDIB),nil,'',TAbstractSuperDIBProperty);

  //DIBFeatureEditor
  RegisterPropertyEditor(TypeInfo(String),TDIBFeatureItem,'FeatureClassName',TFeatureClassProperty);
  RegisterPropertyEditor(TypeInfo(String),TDIBFeatureItem,'FeatureParameters',TFeatureParametersProperty);

  //DIBImageIndexEditor
  RegisterPropertyEditor(TypeInfo(TDIBImageLink), nil, '', TDIBImageIndexProperty);
end;

end.
